Appimage for Linux

I am using arch linux. I can’t install the ubuntu version. Perhaps an appimage is better because it can be run on all distro. Thank you.

I second that.
I’m using an Ubuntu derivative that’s on version 20, and the latest release of BeamStudio only works up to v18. I’ve had good luck running inside VirtualBox with a minimal distro that’s a derivative of Ubuntu 18. However, you have to set the networking on the virtual box to be a passthrough not NAT so it can see the Beambox.
That’s totally a hack though, should def be an AppImage.